Chatzilla wieder zum Leben erwecken

Anscheinend wurde bei den letzten Firefox Updates vergessen, Chatzilla entsprechend zu patchen. Wer versucht, Chatzilla zu starten, wird feststellen müssen, das nichts passiert. Versucht man, Chatzilla im Terminal zu starten, erhält man zumindest folgende Fehlermeldung:

Error: Platform version '6.0' is not compatible with
minVersion >= 1.8
maxVersion <= 2.0.*

Da es zwar einen entsprechenden Bug gibt, der zuständige Entwickler bislang jedoch nicht reagiert hat, behelfen wir uns, indem wir Chatzilla selber patchen. Dazu führen wir folgenden Befehl im Terminal aus:

su -c'sed -i 's/2.0.*/6.0.*/g' /usr/share/chatzilla-0.9.86/application.ini'

Mit diesem Kommando ersetzen wir mit Hilfe von sed die Zeichenfolge „2.0.*“ in der application.ini von Chatzilla durch „6.0.*“ und reanimieren somit Chatzilla wieder zum Leben.

Update: Inzwischen befindet sich ein aktuelles chatzilla Paket in updates-testing, welches das Problem behebt.

2 Antworten auf „Chatzilla wieder zum Leben erwecken“

Kommentare sind geschlossen.